/**
 * Theme Name:     Divi Child
 * Author:         Elegant Themes
 * Template:       Divi
 * Text Domain:	   divi-child
 * Description:    Smart. Flexible. Beautiful. Divi is the most powerful theme in our collection.
 */

/* Home */
.properties {
  display: flex;
  gap: 20px;
}

.properties-not-found {
  color: white;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.search-propertie {
  margin-top: 10px;
  background: white;
  padding: 10px;
  border-radius: 100px;
}

.input-default-home,
.input-default-home::placeholder,
.select-default-home,
.select-default-home:focus {
  color: #ec6608 !important;
  font-size: 16px;
  font-weight: bold;
  text-align: center;
}

.input-default-home,
.select-default-home,
.button-submit-home {
  outline: none !important;
  border: none !important;
}

.button-submit-home {
  color: white;
  border-radius: 100px;
  font-size: 24px;
  font-weight: 700;
  text-align: center;
  padding: 10px;
  padding-left: 25px;
  padding-right: 25px;
  background: #ec6608;
  cursor: pointer;
}

.form-line-search {
  display: flex;
  justify-content: space-between;
  padding-left: 10px;
  padding-right: 10px;
}

/* Home */

/* Locação */
.archive-properties-container {
  display: flex;
  gap: 30px;
}

.archive-filter-container {
  padding: 20px;
  background: #dcdcdc;
  border-radius: 10px;
  max-width: 300px;
  min-width: 300px;
  max-height: 660px;
}

.form-filter-archive {
  display: flex;
  flex-direction: column;
  gap: 25px;
}

.input-container {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.input-label {
  color: #1f1f1f;
  font-size: 16px;
  font-family: "Open Sans", sans-serif;
  font-weight: bold;
}

.input-default {
  outline: none !important;
  border: none !important;
  border-radius: 5px !important;
  box-shadow: 0px 2px 2px #00000019 !important;
  color: #868686 !important;
  min-height: 40px;
  padding-left: 15px !important;
}

.button-submit,
.button-open-filter {
  cursor: pointer;
  background: #003063;
  border-radius: 5px;
  color: white;
  font-weight: 700;
  padding-top: 10px;
  padding-bottom: 10px;
  border: none;
}

.archive-properties-content {
  display: flex;
  flex-direction: column;
  flex: 1;
}

.archive-header {
  display: flex;
}

.archive-header-order {
  margin-left: auto;
  background: none;
  outline: none;
  border: none;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  font-size: 16px;
  font-family: "Open Sans", sans-serif;
  cursor: pointer;
}

.archive-header-link {
  padding-left: 0px;
  color: #003063;
}

.archive-header-link,
.archive-header-link-active {
  padding: 5px;
  padding-right: 30px;
  border-radius: 5px;
  font-family: "Open Sans", sans-serif;
}

.archive-header-link-active {
  padding-left: 30px;
  color: white;
  background: #ec6608;
}

.archive-cities-filtered {
  margin-top: 15px;
}

.archive-filtered-list {
  list-style: none !important;
  padding: 0px !important;
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
}

.filtered-data {
}

.archive-filtered-list li {
  padding-left: 10px;
  padding-right: 10px;
  border-radius: 100px;
  background: none;
  border: 1px solid #ec6608;
  color: #ec6608;
}

.archive-filtered-list li button {
  background: none;
  color: #ec6608;
  outline: none;
  border: none;
  cursor: pointer;
}

.archive-header {
  border-bottom: 1px solid #c2c2c2;
}

.archive-properties-selling {
  margin-top: 15px;
}

.propertie-card-archive {
  margin-top: 15px;
  display: flex;
  gap: 30px;
  box-shadow: 0px 3px 8px #bdbdbd8f;
  border-radius: 10px;
  padding: 10px;
}

.propertie-card-archive img {
  border-radius: 10px;
  width: 369px;
  height: 100%;
  max-width: 369px;
  max-height: 260px;
  object-fit: cover;
}

.propertie-container {
  display: flex;
  flex-direction: column;
  flex: 1;
}

.propertie-card-archive-header {
  display: flex;
  gap: 15px;
}

.propertie-card-archive-category {
  background: #ec6608;
  text-align: center;
  width: 70px;
  border-radius: 5px;
  color: white;
  padding: 0px !important;
  font-size: 14px;
}

.propertie-card-info-container {
  text-align: left;
}

.propertie-card-archive-price {
  font-weight: 700;
  font-size: 24px;
}

.propertie-card-archive-center {
  margin-top: 15px;
}

.propertie-card-archive-code {
  color: #ec6608;
  font-weight: bold;
  font-size: 14px;
  padding: 0px !important;
}

.propertie-card-archive-center p:not(.propertie-card-archive-code) {
  margin-right: auto;
  font-size: 14px;
  font-weight: 400;
  text-align: left;
  line-height: 1.2em !important;
  margin-top: 10px;
}

.propertie-card-archive-center p:not(.propertie-card-archive-code)::after {
  content: "...";
}

.propertie-card-archive-footer {
  margin-top: auto;
}

.propertie-card-archive-address {
  font-size: 16px;
}

.propertie-card-archive-sub-footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.propertie-card-archive-contact,
.propertie-card-archive-see {
  padding: 2.5px;
  border-radius: 5px;
}

.propertie-card-archive-see {
  color: white;
  padding-left: 25px;
  padding-right: 25px;
  background: #003063;
}

.propertie-card-archive-see:hover {
  background: #ec6608;
}

.propertie-card-archive-contact {
  padding-left: 10px;
  padding-right: 10px;
  border: 1px solid #ec6608;
}

.button-open-filter {
  display: none;
}

/* Locação */

/* Paginação */
.pagination {
  display: flex;
  margin-top: auto;
  padding-top: 25px;
  justify-content: space-between;
}

.pagination-button-off {
  opacity: 0.5;
}

.pagination-button {
  width: 153.91px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  gap: 15px;
  background: #003063;
  padding: 5px;
  padding-left: 15px;
  padding-right: 15px;
  border-radius: 5px;
  color: white;
}

.pagination-icon {
  width: 30px;
  height: 30px;
}

.rotate-left {
  rotate: 180deg;
}
/* Paginação */

/* Single Imóvel */
.propertie-single-header {
  display: flex;
  flex-direction: column;
}

.propertie-single-header-title {
  font-size: 28px;
  font-weight: 700;
}

.propertie-single-header-code {
  padding-left: 10px;
  padding-right: 10px;
  border: 1px solid #ec6608;
  margin-right: auto;
  color: #ec6608;
}

.propertie-single-container {
  margin-top: 40px;
  display: flex;
  gap: 40px;
}

.propertie-single-container-info {
  max-width: 700px;
}

.propertie-single-container-info-price-container p {
  padding: 0px !important;
}

.propertie-single-container-contact {
  max-width: 350px;
  padding: 10px;
  background: #dcdcdc;
  max-height: 630px;
  border-radius: 10px;
}

.swiper-slide-image,
.swiper {
  max-width: 700px;
  max-height: 468px;
  border-radius: 10px;
}

.swiper-slide-image {
  width: 100%;
  height: auto;
  max-width: 893px;
  max-height: 500px;
  object-fit: cover;
  border-radius: 10px;
  transition: all 1s ease-in-out;
  cursor: zoom-in;
}

.swiper-button-next,
.swiper-button-prev {
  color: white !important;
}

.propertie-single-container-info-price {
  margin-top: 15px;
  color: #000000;
  font-size: 28px;
  font-weight: 700;
}

.propertie-single-container-info-price-desc {
  font-weight: 700;
  color: #000000;
  font-size: 20px;
  text-transform: uppercase;
}

.propertie-single-container-info-footer {
  display: flex;
  flex-direction: column;
}

.propertie-single-container-info-footer
  p:not(.propertie-single-container-info-description) {
  margin-top: 20px;
  font-size: 16px;
  color: #000000;
  text-wrap: pretty;
}

.propertie-single-container-info-footer
  p:not(.propertie-single-container-info-description) {
  padding: 0px !important;
  margin: 0px !important;
}

.propertie-single-container-info-description {
  font-size: 20;
  padding: 0px !important;
  font-weight: 700;
  margin-top: 20px;
  color: #000000;
}

.propertie-single-container-contact-form {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.propertie-single-container-contact-form p {
  margin-left: auto;
  margin-right: auto;
}

.span-text {
  font-weight: bold;
  font-size: 14px;
  text-wrap: pretty;
  padding: 0px !important;
}

.tel {
  color: #ec6608;
  font-weight: bold;
}

.tel:hover {
  text-decoration: underline;
}

.propertie-single-container-contact-form button[type="submit"] {
  background: #003063;
  border-radius: 5px;
  outline: none;
  border: none;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 15px;
  margin-left: auto;
  margin-right: auto;
  font-weight: bold;
  cursor: pointer;
  padding: 10px;
  padding-left: 20px;
  padding-right: 20px;
  color: white;
}

.propertie-single-container-contact-form button[type="submit"]:hover {
  background: #ec6608;
}

.propertie-single-container-contact-form-input-container {
  display: flex;
  gap: 10px;
  background: #ffffff;
  padding: 5px;
  border-radius: 5px;
}

.propertie-single-container-contact-form-input-container textarea {
  height: 200px;
}

.propertie-single-container-contact-form-term-label {
  font-size: 14px;
}

.propertie-single-container-contact-form-input-container input,
.propertie-single-container-contact-form-input-container textarea {
  width: 100%;
  color: #868686;
  outline: none !important;
  border: none !important;
  background: none;
}

.overlay {
  position: fixed;
  z-index: 10011;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  background: white;
  opacity: 0.5;
}

.overlay-container {
  position: fixed;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  justify-content: center;
  align-items: center;
  z-index: 10012;
}

.overlay-img {
  height: 90%;
  border-radius: 5px;
}

.overlay-button-prev {
  margin-right: 25px;
}

.overlay-button-next {
  margin-left: 25px;
}

.overlay-button-prev,
.overlay-button-next {
  outline: none;
  background: none;
  border: none;
}

.overlay-button-prev svg,
.overlay-button-next svg {
  width: 35px;
  height: 35px;
}

/* Single Imóvel */

.spin {
  width: 20px;
  height: 20px;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@media screen and (min-width: 767.99px) and (max-width: 988px) {
  .propertie-card-archive {
    flex-direction: column;
  }

  .propertie-card-archive img {
    max-width: 100%;
  }

  .search-propertie {
    border-radius: 10px;
    padding: 15px;
  }

  .form-line-search {
    flex-direction: column;
    gap: 15px;
  }

  .propertie-single-container {
    flex-direction: column;
  }

  .propertie-single-container-contact {
    max-width: 100%;
  }
}

@media screen and (min-width: 481px) and (max-width: 767.98px) {
  .properties {
    flex-direction: column;
  }

  .pagination {
    padding-top: 30px;
  }

  .archive-properties-container {
    flex-direction: column;
  }

  .hidden-mobile {
    display: none;
  }

  .form-filter-archive {
    gap: 10px;
  }

  .archive-filter-container {
    max-width: 100%;
    width: 100%;
  }

  .archive-properties-container {
    align-items: center;
    gap: 15px;
  }

  .archive-properties-selling {
    margin-top: 0px;
  }

  .propertie-card-archive {
    display: flex;
    gap: 15px;
    flex-direction: column;
  }

  .button-open-filter {
    display: block;
  }

  .propertie-single-container {
    flex-direction: column;
    gap: 15px;
  }

  .swiper-slide-image,
  .swiper {
    max-height: 200px;
  }

  .propertie-single-container-info-price {
    margin-top: 15px;
  }

  .search-propertie {
    border-radius: 10px;
    padding: 15px;
  }

  .form-line-search {
    flex-direction: column;
    gap: 15px;
  }
}

@media screen and (min-width: 320px) and (max-width: 480px) {
  .properties {
    flex-direction: column;
  }

  .pagination {
    padding-top: 30px;
  }

  .archive-properties-container {
    flex-direction: column;
  }

  .hidden-mobile {
    display: none;
  }

  .form-filter-archive {
    gap: 10px;
  }

  .archive-filter-container {
    max-width: 100%;
    width: 100%;
  }

  .archive-properties-container {
    align-items: center;
    gap: 15px;
  }

  .archive-properties-selling {
    margin-top: 0px;
  }

  .propertie-card-archive {
    display: flex;
    gap: 15px;
    flex-direction: column;
  }

  .button-open-filter {
    display: block;
  }

  .propertie-single-container {
    flex-direction: column;
    gap: 15px;
    margin-top: 15px !important;
  }

  .swiper-slide-image,
  .swiper {
    max-height: 200px;
  }

  .propertie-single-container-info-price {
    margin-top: 15px;
  }

  .search-propertie {
    border-radius: 10px;
    padding: 15px;
  }

  .form-line-search {
    flex-direction: column;
    gap: 15px;
  }

  .propertie-single-container-contact {
    max-height: 100%;
  }

  .button-submit,
  .button-open-filter {
    font-size: 16px;
  }

  .overlay-img {
    width: 90%;
    height: auto;
  }
}
